#pragma once
#include <vector>
#include <utility>

#include "Model.h"

namespace CppModelLib
{
    class ExpectValue : public CppModelBase::Model
    {
    private:
        std::vector<std::pair<int, int>> results;

    public:
        int actual;
        int expected;
        bool result;
        void RunCyclic(double simulationTime);
        void Finalize();
    };

}
